SDL_GetJoystickBall(3)

NAME
SDL_GetJoystickBall - Get the ball axis change since the last poll.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetJoystickBall(SDL_Joystick *joystick, int ball, int *dx, int *dy);

DESCRIPTION
Trackballs can only return relative motion since the last call to SDL_GetJoystickBall (), these motion deltas are placed into dx and dy . Most joysticks do not have trackballs.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     to query

ball
    the ball index to query; ball indices start at index 0

dx  stores the difference in the x axis position since the last poll

dy  stores the difference in the y axis position since the last poll

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetNumJoystickBalls(3)